Subject: Re: bug#38918: 26.3; EBDB fails to edit (add) tags

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 04 Jan 2020 09:58:30 -0800

[email-masked] (Jorge P. de Morais Neto) writes:

>  0x8000078ebdb<return><return>eE
>
> Hello.  I use the latest EBDB (0.6.11) on an updated Spacemacs (develop
> branch) atop GNU Emacs 26.3 on an updated Debian buster.  Emacs was
> installed via GNU Guix.
>
> I cannot add tags to EBDB records.  To help you with reproducing the
> bug, I reproduced it on a GNU Emacs configuration where the only
> customization was augmenting `package-archives' (which I later realized
> was unnecessary) and installing `ebdb'.  I also used a minimal EBDB
> database.  I then inserted a tags field in one record; EBDB did not ask
> for the contents of the field, so an empty tags field was inserted.

Bah, that's embarrassing. I only ever use the Org-specific tags, and
never noticed I'd forgotten to write an `ebdb-read' method for generic
tags. I'll have a patch for you to test later today.

Thanks for the report,
Eric